跳到主要内容

私人养老金手册 - 新增信贷

导航
API 开发中

该 API 仍处于开发阶段,因此本手册可能会有所变动。

注意!

QI Tech 的 webhooks 不应被严格映射。 我们 API 返回的 webhook payload 中可能会新增额外字段。

Webhook 重发

您可以按照文档中的详细说明查询和重发 webhooks:Webhook 重发

1 - 债务模拟:

新增信贷

Request

POST
/debt_simulation
Request Body
{
"borrower": {
"person_type": "natural"
},
"financial": {
"first_due_date": "2024-12-07",
"installment_face_value": 100,
"disbursement_date": "2024-11-05",
"limit_days_to_disburse": 3,
"number_of_installments": 4,
"monthly_interest_rate": 0.018,
"interest_type": "pre_price_days",
"fine_configuration": {
"monthly_rate": 0.01,
"interest_base": "calendar_days",
"contract_fine_rate": 0.02
},
"credit_operation_type": "ccb",
"interest_grace_period": 0,
"principal_grace_period": 0
},
"collaterals": [
{
"collateral_type": "private_pension"
}
]
}
信息

上述请求中有 2 个模拟在执行。第一个固定了客户的分期金额(放款金额可变),第二个固定了放款金额(分期金额可变)。

Response

STATUS
200 (OK)
Response Body
{
"type": "debt",
"key": "<Debt Key>",
"status": "finished",
"event_datetime": "2024-11-05 16:50:00",
"data": {
"interest_type": "pre_price_days",
"credit_operation_type": "ccb",
"interest_grace_period": 0,
"interest_payment_month_period": 1,
"principal_grace_period": 0,
"principal_amortization_month_period": 1,
"operation_type": "structured_operation",
"post_fixed_interest_base": "workdays",
"post_fixed_interest_rate": null,
"prefixed_interest_rate": {
"interest_base": "calendar_days_365",
"annual_rate": 0.23872053,
"monthly_rate": 0.018,
"daily_rate": 0.00058669
},
"issue_date": "2024-11-05",
"number_of_installments": 4,
"requester_key": "e5eb6a0a-e003-4cbd-b702-5a25bf71af0a",
"final_disbursement_amount": 0.0,
"disbursement_options": [
{
"iof_amount": 3.93,
"total_pre_fixed_amount": 17.8715883143,
"cet": 0.0257,
"annual_cet": 0.355163,
"contract_fees": [
{
"fee_type": "tac",
"amount_type": "percentage",
"amount": 0.6,
"fee_amount": 2.29
},
{
"fee_type": "ted_fee",
"amount_type": "absolute",
"amount": 1.0,
"fee_amount": 1.0
}
],
"external_contract_fees": [
{
"fee_type": "spread",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "insurance_premium",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "tac",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
}
],
"contract_fee_amount": 2.29,
"external_contract_fee_amount": 0.0,
"net_external_contract_fee_amount": 0.0,
"disbursement_date": "2024-11-05",
"first_due_date": "2024-12-21",
"installments": [
{
"calendar_days": 34,
"workdays": 23.0,
"business_due_date": "2024-12-21",
"due_date": "2024-12-21",
"due_principal": 382.13,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 7.6967422515,
"tax_amount": 0.257341482602818,
"total_amount": 100,
"principal_amortization_amount": 92.3032577485,
"installment_number": 1
},
{
"calendar_days": 29,
"workdays": 19.0,
"business_due_date": "2025-01-21",
"due_date": "2025-01-21",
"due_principal": 289.8267422515,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 4.9718040699,
"tax_amount": 0.4909156601748966,
"total_amount": 100,
"principal_amortization_amount": 95.0281959301,
"installment_number": 2
},
{
"calendar_days": 31,
"workdays": 23.0,
"business_due_date": "2025-02-21",
"due_date": "2025-02-21",
"due_principal": 194.7985463214,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 3.5742034136,
"tax_amount": 0.7432500400879712,
"total_amount": 100,
"principal_amortization_amount": 96.4257965864,
"installment_number": 3
},
{
"calendar_days": 28,
"workdays": 18.0,
"business_due_date": "2025-03-21",
"due_date": "2025-03-21",
"due_principal": 98.372749735,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 1.6288385793,
"tax_amount": 0.9841050988526828,
"total_amount": 100,
"principal_amortization_amount": 98.3711614207,
"installment_number": 4
}
],
"issue_amount": 382.13,
"disbursed_issue_amount": 374.91,
"assignment_amount": 382.13,
"final_disbursement_amount": 374.91,
"prefixed_interest_rate": {
"interest_base": "calendar_days_365",
"annual_rate": 0.23872053,
"monthly_rate": 0.018,
"daily_rate": 0.00058669
}
},
{
"iof_amount": 4.77,
"total_pre_fixed_amount": 24.2597288075,
"cet": 0.0243,
"annual_cet": 0.334037,
"contract_fees": [
{
"fee_type": "tac",
"amount_type": "percentage",
"amount": 0.6,
"fee_amount": 2.25
},
{
"fee_type": "ted_fee",
"amount_type": "absolute",
"amount": 1.0,
"fee_amount": 1.0
}
],
"external_contract_fees": [
{
"fee_type": "spread",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "insurance_premium",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "tac",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
}
],
"contract_fee_amount": 2.25,
"external_contract_fee_amount": 0.0,
"net_external_contract_fee_amount": 0.0,
"disbursement_date": "2024-11-06",
"first_due_date": "2025-01-21",
"installments": [
{
"calendar_days": 62,
"workdays": 41.0,
"business_due_date": "2025-01-21",
"due_date": "2025-01-21",
"due_principal": 375.74,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 13.9149280115,
"tax_amount": 0.437656505989534,
"total_amount": 100,
"principal_amortization_amount": 86.0850719885,
"installment_number": 1
},
{
"calendar_days": 31,
"workdays": 23.0,
"business_due_date": "2025-02-21",
"due_date": "2025-02-21",
"due_principal": 289.6549280115,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 5.3146959395,
"tax_amount": 0.722070128765373,
"total_amount": 100,
"principal_amortization_amount": 94.6853040605,
"installment_number": 2
},
{
"calendar_days": 28,
"workdays": 18.0,
"business_due_date": "2025-03-21",
"due_date": "2025-03-21",
"due_principal": 194.969623951,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 3.2283291407,
"tax_amount": 0.9601685182659746,
"total_amount": 100,
"principal_amortization_amount": 96.7716708593,
"installment_number": 3
},
{
"calendar_days": 31,
"workdays": 21.0,
"business_due_date": "2025-04-07",
"due_date": "2025-04-07",
"due_principal": 98.1979530917,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 1.8017757158,
"tax_amount": 1.2239426674782687,
"total_amount": 100,
"principal_amortization_amount": 98.1982242842,
"installment_number": 4
}
],
"issue_amount": 375.74,
"disbursed_issue_amount": 367.72,
"assignment_amount": 375.74,
"final_disbursement_amount": 367.72,
"prefixed_interest_rate": {
"interest_base": "calendar_days_365",
"annual_rate": 0.23872053,
"monthly_rate": 0.018,
"daily_rate": 0.00058669
}
},
{
"iof_amount": 4.74,
"total_pre_fixed_amount": 24.0392857898,
"cet": 0.0243,
"annual_cet": 0.334673,
"contract_fees": [
{
"fee_type": "tac",
"amount_type": "percentage",
"amount": 0.6,
"fee_amount": 2.26
},
{
"fee_type": "ted_fee",
"amount_type": "absolute",
"amount": 1.0,
"fee_amount": 1.0
}
],
"external_contract_fees": [
{
"fee_type": "spread",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "insurance_premium",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "tac",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
}
],
"contract_fee_amount": 2.26,
"external_contract_fee_amount": 0.0,
"net_external_contract_fee_amount": 0.0,
"disbursement_date": "2024-11-07",
"first_due_date": "2025-01-21",
"installments": [
{
"calendar_days": 61,
"workdays": 40.0,
"business_due_date": "2025-01-21",
"due_date": "2025-01-21",
"due_principal": 375.96,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 13.6944849939,
"tax_amount": 0.4317001860605122,
"total_amount": 100,
"principal_amortization_amount": 86.3055150061,
"installment_number": 1
},
{
"calendar_days": 31,
"workdays": 23.0,
"business_due_date": "2025-02-21",
"due_date": "2025-02-21",
"due_principal": 289.6544849939,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 5.3146959395,
"tax_amount": 0.714305933832412,
"total_amount": 100,
"principal_amortization_amount": 94.6853040605,
"installment_number": 2
},
{
"calendar_days": 28,
"workdays": 18.0,
"business_due_date": "2025-03-21",
"due_date": "2025-03-21",
"due_principal": 194.9691809334,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 3.2283291407,
"tax_amount": 0.952233241255512,
"total_amount": 100,
"principal_amortization_amount": 96.7716708593,
"installment_number": 3
},
{
"calendar_days": 31,
"workdays": 21.0,
"business_due_date": "2025-04-07",
"due_date": "2025-04-07",
"due_principal": 98.1975100741,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 1.8017757157,
"tax_amount": 1.2158904130882027,
"total_amount": 100,
"principal_amortization_amount": 98.1982242843,
"installment_number": 4
}
],
"issue_amount": 375.96,
"disbursed_issue_amount": 367.96,
"assignment_amount": 375.96,
"final_disbursement_amount": 367.96,
"prefixed_interest_rate": {
"interest_base": "calendar_days_365",
"annual_rate": 0.23872053,
"monthly_rate": 0.018,
"daily_rate": 0.00058669
}
},
{
"iof_amount": 4.71,
"total_pre_fixed_amount": 23.8187134405,
"cet": 0.0244,
"annual_cet": 0.335196,
"contract_fees": [
{
"fee_type": "tac",
"amount_type": "percentage",
"amount": 0.6,
"fee_amount": 2.26
},
{
"fee_type": "ted_fee",
"amount_type": "absolute",
"amount": 1.0,
"fee_amount": 1.0
}
],
"external_contract_fees": [
{
"fee_type": "spread",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "insurance_premium",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
},
{
"fee_type": "tac",
"amount_type": "absolute",
"amount": 0.0,
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0,
"csll_amount": 0,
"irrf_amount": 0,
"pis_amount": 0,
"cofins_amount": 0,
"amount_released": 0,
"description": null
}
],
"contract_fee_amount": 2.26,
"external_contract_fee_amount": 0.0,
"net_external_contract_fee_amount": 0.0,
"disbursement_date": "2024-11-08",
"first_due_date": "2025-01-21",
"installments": [
{
"calendar_days": 60,
"workdays": 39.0,
"business_due_date": "2025-01-21",
"due_date": "2025-01-21",
"due_principal": 376.18,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 13.4739126445,
"tax_amount": 0.42570834978906,
"total_amount": 100,
"principal_amortization_amount": 86.5260873555,
"installment_number": 1
},
{
"calendar_days": 31,
"workdays": 23.0,
"business_due_date": "2025-02-21",
"due_date": "2025-02-21",
"due_principal": 289.6539126445,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 5.3146959395,
"tax_amount": 0.706541738899451,
"total_amount": 100,
"principal_amortization_amount": 94.6853040605,
"installment_number": 2
},
{
"calendar_days": 28,
"workdays": 18.0,
"business_due_date": "2025-03-21",
"due_date": "2025-03-21",
"due_principal": 194.968608584,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 3.2283291407,
"tax_amount": 0.9442979642450494,
"total_amount": 100,
"principal_amortization_amount": 96.7716708593,
"installment_number": 3
},
{
"calendar_days": 31,
"workdays": 21.0,
"business_due_date": "2025-04-21",
"due_date": "2025-04-21",
"due_principal": 98.1969377247,
"has_interest": true,
"post_fixed_amount": null,
"pre_fixed_amount": 1.8017757158,
"tax_amount": 1.20783815869566,
"total_amount": 100,
"principal_amortization_amount": 98.1982242842,
"installment_number": 4
}
],
"issue_amount": 376.18,
"disbursed_issue_amount": 368.21,
"assignment_amount": 376.18,
"final_disbursement_amount": 368.21,
"prefixed_interest_rate": {
"interest_base": "calendar_days_365",
"annual_rate": 0.23872053,
"monthly_rate": 0.018,
"daily_rate": 0.00058669
}
}
]
}
}

2 - 操作发行:

新增信贷

Request

POST
/debt
Request Body
{
"borrower": {
"name": "Nome devedor",
"email":"email.devedor@gmail.com",
"phone": {
"number": "999538380",
"area_code": "84",
"country_code": "055"
},
"is_pep": false,
"address": {
"city": "Natal",
"state": "RN",
"number": "1984",
"street": "Rua",
"postal_code": "59065720",
"neighborhood": "bairro"
},
"birth_date": "1959-07-08",
"person_type": "natural",
"individual_document_number": "14471835092",
"marital_status": "single",
"profession": "",
"document_identification": "494598fd-c226-4332-a500-591ae3884673",
"document_identification_back": "a194d9a3-6790-449b-a429-f450cf904777",
"proof_of_residence": "ec838feb-642b-4c58-81d8-f113b607da08",
},
"financial": {
"interest_type": "pre_price_days",
"first_due_date": "2023-09-21",
"disbursement_start_date": "2024-11-07",
"disbursement_end_date": "2024-11-07",
"fine_configuration": {
"monthly_rate": 0.0166,
"interest_base": "calendar_days",
"contract_fine_rate": 0
},
"credit_operation_type": "ccb",
"interest_grace_period": 0,
"annual_interest_rate": 0.0166,
"disbursed_amount": 1234.56,
"issue_date": "2024-11-07",
"number_of_installments": 10,
"principal_grace_period": 0,
"rebates": [ // 可选
{
"amount": 20,
"rebate_bank_account": {
"name": "Teste Ltda",
"document_number": "18533555000164",
"account_digit": "0",
"account_number": "4290001",
"branch_number": "0001",
"bank_code": "329"
},
"amount_type": "percentage",
"fee_type": "spread"
}
]
},
"simplified": true,
"collaterals": [
{
"percentage": 1,
"collateral_type": "private_pension",
"collateral_data": {
"total_gross_amount_lock": 1500,
"investment_funds": [
{
"susep_process_number": "",
"certificate": "",
"operating_entity_document_number": "",
"plan_type": "",
"initial_grace": false,
"grace_days": 0,
"accumulation_end_date": "2050-01-01",
"tax_regime": "progressive",
"load_percentage": 0.0,
"name": "",
"document_number": "",
"class": "",
"subclass": "",
"lock_gross_amount": 500,
},
{
"susep_process_number": "",
"certificate": "",
"operating_entity_document_number": "",
"plan_type": "",
"initial_grace": false,
"grace_days": 0,
"accumulation_end_date": "2050-01-01",
"tax_regime": "progressive",
"load_percentage": 0.0,
"name": "",
"document_number": "",
"class": "",
"subclass": "",
"lock_gross_amount": 500,
},
{
"susep_process_number": "",
"certificate": "",
"operating_entity_document_number": "",
"plan_type": "",
"initial_grace": false,
"grace_days": 0,
"accumulation_end_date": "2050-01-01",
"tax_regime": "progressive",
"load_percentage": 0.0,
"name": "",
"document_number": "",
"class": "",
"subclass": "",
"lock_gross_amount": 500,
}
]
}
}
],
"purchaser_document_number": "32402502000135",
"disbursement_bank_accounts": [
{
"name": "NOME DEVEDOR",
"bank_code": "001",
"account_digit": "0",
"branch_number": "2874",
"account_number": "000057555",
"document_number": "14471835092",
"transfer_method": "pix",
"percentage_receivable": 100
}
]
}

Response

STATUS
201 (Created)
Response Body
Response Body
{
"webhook_type": "debt",
"key": "<Debt Key>",
"status": "waiting_signature",
"event_datetime": "2024-11-07 23:19:22",
"data": {
"borrower": {
"name": "Nome devedor",
"document_number": "14471835092",
"related_party_key": "28b7fc16-6d1f-467d-9667-62a8c13daea6"
},
"contract": {
"number": "TST0000644710",
"urls": [
"https://storage.googleapis.com/sandbox-doc-api/documents/a2e9c83a-3666-4def-8b27-e96fabb8705c/NOME_DEVEDOR-CCB-TST0000644710-20241107231916.pdf"
],
"signature_information": [
{
"signer_name": "Nome devedor",
"signer_document_number": "14471835092",
"signer_role": "issuer",
"signer_email": null,
"signer_external_key": null,
"signature_url": null
}
]
},
"requester_identifier_key": "eb859ebe-3a41-49bf-a6c3-d6902039ec00",
"iof_charge_method": "financed",
"collaterals": [
{
"absolute_amount": null,
"collateral_constituted": false,
"collateral_data": {
"operating_entity_document_number": "",
"total_gross_amount_lock": 1500,
"investment_funds": [
{
"susep_process_number": "",
"certificate": "",
"plan_type": "", // 可选
"initial_grace": false,
"grace_days": 0,
"accumulation_end_date": "2050-01-01",
"tax_regime": "progressive",
"load_percentage": 0.0,
"name": "",
"document_number": "",
"class": "", // 可选
"subclass": "", // 可选
"lock_gross_amount": 500,
},
{
"susep_process_number": "",
"certificate": "",
"plan_type": "",
"initial_grace": false,
"grace_days": 0,
"accumulation_end_date": "2050-01-01",
"tax_regime": "progressive",
"load_percentage": 0.0,
"name": "",
"document_number": "",
"class": "",
"subclass": "",
"lock_gross_amount": 500,
},
{
"susep_process_number": "",
"certificate": "",
"plan_type": "",
"initial_grace": false,
"grace_days": 0,
"accumulation_end_date": "2050-01-01",
"tax_regime": "progressive",
"load_percentage": 0.0,
"name": "",
"document_number": "",
"class": "",
"subclass": "",
"lock_gross_amount": 500,
}
]
},
"collateral_key": "26c7f4f4-51f3-41fa-b880-9691211136aa",
"collateral_type": "private_pension",
"created_at": "2024-11-07T23:19:16.413448",
"external_key": null,
"percentage": 1,
"updated_at": "2024-11-07T23:19:16.413441"
}
],
"disbursement_options": [
{
"disbursement_date": "2024-11-07",
"contract_fees": [
{
"fee_type": "spread",
"fee_amount": 4.55
},
{
"fee_type": "ted_fee",
"fee_amount": 1.5
}
],
"external_contract_fees": [
{
"fee_type": "spread",
"fee_amount": 0.0,
"tax_amount": 0.0,
"net_fee_amount": 0.0
}
],
"contract_fee_amount": 6.05,
"external_contract_fee_amount": 0.0,
"net_external_contract_fee_amount": 0.0,
"assignment_amount": 914.3,
"issue_amount": 909.75,
"cet": "2,0100%",
"annual_cet": "27,0481%",
"base_iof": 16.259002146803677,
"additional_iof": 3.45705,
"total_iof": 19.72,
"total_pre_fixed_amount": 108.6508885851,
"installments": [
{
"additional_costs": [],
"business_due_date": "2025-01-21",
"calendar_days": 74,
"due_date": "2025-01-21",
"due_interest": 0.0,
"due_principal": 909.75,
"fine_amount": null,
"has_interest": true,
"installment_number": 1,
"post_fixed_amount": null,
"pre_fixed_amount": 37.1789024864,
"principal_amortization_amount": 64.6610975136,
"tax_amount": 0.3923635397125248,
"total_amount": 101.84,
"workdays": 49.0,
"installment_status": null,
"installment_type": null
},
{
"additional_costs": [],
"business_due_date": "2025-02-21",
"calendar_days": 31,
"due_date": "2025-02-21",
"due_interest": 0.0,
"due_principal": 845.0889024864,
"fine_amount": null,
"has_interest": true,
"installment_number": 2,
"post_fixed_amount": null,
"pre_fixed_amount": 14.2997636051,
"principal_amortization_amount": 87.5402363949,
"tax_amount": 0.753721435360089,
"total_amount": 101.84,
"workdays": 23.0,
"installment_status": null,
"installment_type": null
},
{
"additional_costs": [],
"business_due_date": "2025-03-21",
"calendar_days": 28,
"due_date": "2025-03-21",
"due_interest": 0.0,
"due_principal": 757.5486660915,
"fine_amount": null,
"has_interest": true,
"installment_number": 3,
"post_fixed_amount": null,
"pre_fixed_amount": 11.5685715131,
"principal_amortization_amount": 90.2714284869,
"tax_amount": 0.9845001990781314,
"total_amount": 101.84,
"workdays": 18.0,
"installment_status": null,
"installment_type": null
},
{
"additional_costs": [],
"business_due_date": "2025-04-21",
"calendar_days": 33,
"due_date": "2025-04-21",
"due_interest": 0.0,
"due_principal": 667.2772376046,
"fine_amount": null,
"has_interest": true,
"installment_number": 4,
"post_fixed_amount": null,
"pre_fixed_amount": 12.025984633,
"principal_amortization_amount": 89.814015367,
"tax_amount": 1.222548377175604,
"total_amount": 101.84,
"workdays": 21.0,
"installment_status": null,
"installment_type": null
},
{
"additional_costs": [],
"business_due_date": "2025-05-21",
"calendar_days": 28,
"due_date": "2025-05-21",
"due_interest": 0.0,
"due_principal": 577.4632222376,
"fine_amount": null,
"has_interest": true,
"installment_number": 5,
"post_fixed_amount": null,
"pre_fixed_amount": 8.8184725787,
"principal_amortization_amount": 93.0215274213,
"tax_amount": 1.4797864582180404,
"total_amount": 101.84,
"workdays": 19.0,
"installment_status": null,
"installment_type": null
},
{
"additional_costs": [],
"business_due_date": "2025-06-21",
"calendar_days": 31,
"due_date": "2025-06-21",
"due_interest": 0.0,
"due_principal": 484.4416948163,
"fine_amount": null,
"has_interest": true,
"installment_number": 6,
"post_fixed_amount": null,
"pre_fixed_amount": 8.1972396908,
"principal_amortization_amount": 93.6427603092,
"tax_amount": 1.72770892770474,
"total_amount": 101.84,
"workdays": 22.0,
"installment_status": null,
"installment_type": null
},
{
"additional_costs": [],
"business_due_date": "2025-07-21",
"calendar_days": 31,
"due_date": "2025-07-21",
"due_interest": 0.0,
"due_principal": 390.7989345071,
"fine_amount": null,
"has_interest": true,
"installment_number": 7,
"post_fixed_amount": null,
"pre_fixed_amount": 6.6127072945,
"principal_amortization_amount": 95.2272927055,
"tax_amount": 1.999011328473856,
"total_amount": 101.84,
"workdays": 21.0,
"installment_status": null,
"installment_type": null
},
{
"additional_costs": [],
"business_due_date": "2025-08-21",
"calendar_days": 30,
"due_date": "2025-08-21",
"due_interest": 0.0,
"due_principal": 295.5716418016,
"fine_amount": null,
"has_interest": true,
"installment_number": 8,
"post_fixed_amount": null,
"pre_fixed_amount": 4.8387153664,
"principal_amortization_amount": 97.0012846336,
"tax_amount": 2.274874127227187,
"total_amount": 101.84,
"workdays": 22.0,
"installment_status": null,
"installment_type": null
},
{
"additional_costs": [],
"business_due_date": "2025-09-21",
"calendar_days": 33,
"due_date": "2025-09-21",
"due_interest": 0.0,
"due_principal": 198.570357168,
"fine_amount": null,
"has_interest": true,
"installment_number": 9,
"post_fixed_amount": null,
"pre_fixed_amount": 3.5787172455,
"principal_amortization_amount": 98.2612827545,
"tax_amount": 2.570318634292211,
"total_amount": 101.84,
"workdays": 23.0,
"installment_status": null,
"installment_type": null
},
{
"additional_costs": [],
"business_due_date": "2025-10-21",
"calendar_days": 28,
"due_date": "2025-10-21",
"due_interest": 0.0,
"due_principal": 100.3090744135,
"fine_amount": null,
"has_interest": true,
"installment_number": 10,
"post_fixed_amount": null,
"pre_fixed_amount": 1.5318141716,
"principal_amortization_amount": 100.3081858284,
"tax_amount": 2.8541691195612935,
"total_amount": 101.84,
"workdays": 20.0,
"installment_status": null,
"installment_type": null
}
],
"first_due_date": "2025-01-21",
"prefixed_interest_rate": {
"monthly_rate": 0.0166,
"daily_rate": 0.00054142,
"annual_rate": 0.21843191,
"interest_base": "calendar_days_365"
}
}
]
}
}

对象 Installments

字段描述
additional_costs附加费用
business_due_date工作日到期日
calendar_days日历天数
due_date到期日
due_interest到期利息
due_principal到期本金
fine_amount到期罚款
has_interest是否含有利息
installment_number分期编号
installment_status分期状态
installment_type分期类型
post_fixed_amount利息后分期金额
pre_fixed_amount利息前分期金额
principal_amortization_amount分期本金摊还金额
tax_amount分期利息金额
total_amount分期总金额
workdays工作天数

对象 Prefixed Interest Rate

字段描述
monthly_rate月利率
daily_rate日利率
annual_rate年利率
interest_base利率计算基准

Webhooks

如果操作在最后一个放款日期选项前未被签署或背书,合作伙伴将收到一条关于操作取消的 webhook:

WEBHOOK TYPE
debt
STATUS
Canceled
Webhook Body
Webhook Body
{
"key": "<Debt Key>",
"status": "canceled",
"webhook_type": "debt",
"event_datetime": "2025-03-18 13:46:31",
"data": {
"cancel_reason": "<CANCEL_REASON>",
"cancel_reason_enumerator": "<CANCEL_REASON_ENUMERATOR>"
}
}

对象 Data

字段描述
cancel_reason取消原因
cancel_reason_enumerator取消原因枚举值

Webhooks

合同签署后,合作伙伴将收到一条关于合同签署的 webhook,body 如下:

{
"key": "<Debt Key>",
"status": "signed",
"signers": [
{
"id": "3271efd3-89ba-43aa-b032-af9a459e6096",
"images": {
"face_image_url": "https://qisign-face-images-bucket-sandbox.s3.amazonaws.com/fad7f924-d210-4ec4-9565-a57662a0a65a.jpeg",
"document_back_url": "https://qisign-personal-documents-bucket-sandbox.s3.amazonaws.com/8c7b68ba-07ad-4188-82ae-679833b2843b.jpeg",
"document_front_url": "https://qisign-personal-documents-bucket-sandbox.s3.amazonaws.com/f63cd291-5668-4926-be5d-9290aeda3f6e.jpeg",
"document_back_template": "cnh_back",
"document_front_template": "cnh_front"
},
"biometry": {
"face_validation": {
"score": 80,
"provider": "qitech",
"available": true
},
"fraud_base_flag": false
},
"document": {
"template": "cnh_front",
"face_match_score": 100
},
"liveness": {
"result": "live"
},
"signed_at": "2025-04-09T19:59:39Z",
"ip_address": "182.224.219.198",
"signer_data": {
"name": "Nome Trabalhador",
"email": "exemplo@qitech.com.br",
"phone": {
"number": "829549234",
"area_code": "11",
"international_dial_code": "55"
},
"address": {
"uf": "SP",
"city": "Sao Paulo",
"number": "123",
"street": "Rua tal do sal",
"complement": "Ap 23",
"postal_code": "00000-000",
"neighborhood": "Pinheiros"
},
"pix_key": "pix03@pix03.com",
"birthdate": "1996-03-13",
"document_number": "504.856.400-66",
"document_submission_method": "email",
"authentication_submission_method": "sms"
}
}
],
"webhook_type": "laas.credit_operation.status_change",
"event_datetime": "2025-04-09 20:00:19",
"signed_contract_url": "https://storage.googleapis.com/sandbox-doc-api/documents/9b55450e-fca5-44f2-9118-5851ed4bd92e/CCB-0000195364-2230409195718_signed.pdf"
}

对象 Signers

字段描述
id签署人 ID
images签署人图像

对象 Images

字段描述
face_image_url签署人面部图像 URL
document_back_url签署人证件背面图像 URL
document_front_url签署人证件正面图像 URL
document_back_template签署人证件背面模板
document_front_template签署人证件正面模板

对象 Biometry

字段描述
face_validation签署人面部验证 (true 或 false)
face_validation.score签署人面部评分 (0 至 100)
face_validation.available面部验证是否可用 (true 或 false)
face_validation.provider面部验证提供商 (qitech 或 external)
fraud_base_flag基础欺诈标志 (true 或 false)

对象 Document

字段描述
template证件模板 (cnh_front, cnh_back, rg_front, rg_back)
face_match_score签署人面部评分 (0 至 100)

对象 Liveness

字段描述
result活体检测结果 (live 或 spoof)

对象 Signer Data

字段描述
name签署人姓名
email签署人电子邮件
phone签署人电话

对象 Address

字段描述
uf联邦单位
city城市
number门牌号
street街道
complement补充信息
postal_code邮政编码
neighborhood街区

枚举值

预留状态

枚举值
reservation_status
状态描述
pending_reservation预留已创建,待背书。
pending_documents_submission预留已背书,待提交文件。
reserved预留已成功背书。背书流程已完成。
canceled如提交无效文件,预留将被取消。
settled预留已成功结算。
pending_deletion预留已背书,已申请删除。
deleted预留已成功删除。